Method: nodes.nodes.move
コレクションでコンテンツを整理
必要に応じて、コンテンツの保存と分類を行います。
HTTP リクエスト
POST https://sasportal.googleapis.com/v1alpha1/{name=nodes/*/nodes/*}:move
この URL は gRPC Transcoding 構文を使用します。
パスパラメータ
| パラメータ |
name |
string
必須。移動する node の名前。
|
リクエストの本文
リクエストの本文には、次の構造のデータが含まれます。
| JSON 表現 |
{
"destination": string
} |
| フィールド |
destination |
string
必須。ノードの親を変更する新しい親リソース node または Customer の名前。
|
レスポンスの本文
成功した場合、レスポンスの本文には Operation のインスタンスが含まれます。
承認スコープ
次の OAuth スコープが必要です。
https://www.googleapis.com/auth/userinfo.email
特に記載のない限り、このページのコンテンツはクリエイティブ・コモンズの表示 4.0 ライセンスにより使用許諾されます。コードサンプルは Apache 2.0 ライセンスにより使用許諾されます。詳しくは、Google Developers サイトのポリシーをご覧ください。Java は Oracle および関連会社の登録商標です。
最終更新日 2025-07-25 UTC。
[null,null,["最終更新日 2025-07-25 UTC。"],[],["This document outlines how to move a node using a POST request to a specific URL. The URL, defined using gRPC Transcoding syntax, requires the `name` path parameter, specifying the node to be moved. The request body, in JSON format, needs a `destination` field indicating the new parent node or customer. A successful operation returns an instance of `Operation`. Authorization requires the `https://www.googleapis.com/auth/userinfo.email` OAuth scope.\n"]]